
From: Matt Mackall <mpm@selenic.com>

CONFIG_BASE_SMALL reduce futex hash table

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/futex.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/futex.c~base-small-shrink-futex-queues kernel/futex.c
--- 25/kernel/futex.c~base-small-shrink-futex-queues	2005-03-07 20:41:45.000000000 -0800
+++ 25-akpm/kernel/futex.c	2005-03-07 20:41:45.000000000 -0800
@@ -40,7 +40,7 @@
 #include <linux/pagemap.h>
 #include <linux/syscalls.h>
 
-#define FUTEX_HASHBITS 8
+#define FUTEX_HASHBITS (CONFIG_BASE_SMALL ? 4 : 8)
 
 /*
  * Futexes are matched on equal values of this key.
_
